apiVersion: v1
kind: Secret
metadata:
  name: {{ .Values.secretName }}
type: {{ .Values.secretType }}
data:
  {{- if eq .Values.secretType "Opaque" }}
  {{- range $key, $value := .Values.opaque }}
  {{ $key }}: {{ $value | quote }}
  {{- end }}
  {{- else if eq .Values.secretType "kubernetes.io/dockerconfigjson" }}
  {{- if .Values.dockerconfigjsonenc }}
  .dockerconfigjson: {{ .Values.dockerconfigjsonenc }}
  {{- else }}
  .dockerconfigjson: {{ (printf "{\"auths\":{\"%s\":{\"username\":\"%s\",\"password\":\"%s\"}}}" .Values.dockerconfigjson.registry .Values.dockerconfigjson.username .Values.dockerconfigjson.password) | b64enc }}
  {{- end }}
  {{- end }}
